Subject: Re: bug#43677: 27.1; Calc holidays off-by-one error, incorrect business day calculation
From: Mattias Engdegård <[email-masked]>
To: Aaron Zeng <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Fri, 2 Oct 2020 12:00:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

2 okt. 2020 kl. 00.47 skrev Aaron Zeng <[email-masked]>:
> 
> Mattias, that patch seems to work well for me (I tested this by just
> loading the lisp into an older version of emacs, since I don't have
> experience compiling emacs from source).  I don't need business days
> for BC dates.

Excellent, patch pushed to master and bug closed.

Nevermind those BC dates -- it doesn't make much sense to compute business days for proleptic Gregorian dates anyway, even more so considering that the very concept of business days shift wildly throughout history. It's just something that would be fun to have.